package com.atlassian.bitbucket.mesh.git.ref;

import com.atlassian.bitbucket.mesh.repository.Repository;

import javax.annotation.Nonnull;

public class DeleteTagParameters extends AbstractDeleteRefParameters {

    private DeleteTagParameters(Builder builder) {
        super(builder);
    }

    public static class Builder extends AbstractDeleteBuilder<Builder, DeleteTagParameters> {

        public Builder(@Nonnull Repository repository, @Nonnull String name) {
            super(repository, name);
        }

        @Nonnull
        @Override
        public DeleteTagParameters build() {
            return new DeleteTagParameters(this);
        }

        @Nonnull
        @Override
        protected Builder self() {
            return this;
        }
    }
}
